Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Is there any repo that will let me install mysql 5.0.51a on Ubuntu 10.04, or do I have to install it from scratch?

Sincerely Tyler

share|improve this question
1  
Do you really need MySQL 5.0? Won't MySQL 5.1 work? –  joschi Aug 29 '10 at 6:55

2 Answers 2

Add this source to your sources.list:

deb http://security.ubuntu.com/ubuntu hardy-security main

do an apt-get update and then aptitude search mysql-server-5.0 should return a result.

share|improve this answer
    
This worked for me after removing the file /var/lib/mysql/debian-5.1.flag –  Andy Shinn Feb 8 '12 at 17:45

One thing you can try is to install the .deb file from an older version's repository. It appears Hardy's repository has the .deb you are looking for. One issue with this method are dependencies that might pop up for libraries too old or, in this case probably, too new for the version of MySQL you want to use. Wouldn't hurt to try, though.

DEB Page: http://packages.ubuntu.com/hardy/misc/mysql-server-5.0

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.